public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/tea/
Date: Tue, 15 Dec 2015 18:07:04 +0000 (UTC)	[thread overview]
Message-ID: <1450202809.be2a27a2420611603545bbec64fa2b26ab1034e4.kensington@gentoo> (raw)

commit:     be2a27a2420611603545bbec64fa2b26ab1034e4
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 15 18:06:01 2015 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 18:06:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be2a27a2

app-editors/tea: version bump

Gentoo-bug: 561080

Package-Manager: portage-2.2.26

 app-editors/tea/Manifest          |  1 +
 app-editors/tea/tea-41.1.0.ebuild | 57 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-editors/tea/Manifest b/app-editors/tea/Manifest
index 631584c..8f80d50 100644
--- a/app-editors/tea/Manifest
+++ b/app-editors/tea/Manifest
@@ -1,2 +1,3 @@
 DIST tea-36.0.2.tar.bz2 315046 SHA256 6541b645451de3f6eefce58b55a302224b925bdbdb9efcfa1491bcf867baad6f SHA512 e04df49e8381c69f0e2fb6900d6f095b0eb15bdc2d8fb935230129b2fef7560fd91936d66a2440d1922a6fc6c2e7d07e40fe1106b5cf22dd495bba667cf5def8 WHIRLPOOL 1da79f26126c98876ff6bfef04c799f476a204294466cbd47834748a12e8c59d10f7c2e36d4ebc089fcef21caca1beeab1293acee13da9af341466c117873e1f
 DIST tea-41.0.0.tar.bz2 381891 SHA256 b20bfe3235a4f405bcd984adfabde2302a15cf8512e19f8b97bc43ce9911632b SHA512 aff52922be7650a23fcafe5a8106d5955bc7c68a901ad6a3982b71196ac8856939d3bc61236babbed21a749c2fc205510ef081ac35d7d33fcf2d2700ebb5cbaf WHIRLPOOL ed913f3fb424e47fbbecab445ccd9c34c9ad66befdda950fee05958459b87efad67cfea37548c5ab8456b849c860f0cd3ef59e386aaa99c01b5041dae02c1afc
+DIST tea-41.1.0.tar.bz2 381370 SHA256 65ea128739802b7626a5a59de12b0e885dcef7a83f7bcd06b6d3aea830ed8717 SHA512 a46e0cdfce5c7d453c7783c59ad98b2b029847ddcc8ce0655c6e1ae45825426ac1b271ca7ad90f0219d8f796f507f6bdba0f2c764c563c8c23503b94be817eb7 WHIRLPOOL a3d00f5e42a145be2a7f3bf846832bf2a7e95e957abf4c928118be7607adb57fddfb906fbedaf7fa51665b25629beae0fe5b4db40886f42dfcf5c166e43717b5

diff --git a/app-editors/tea/tea-41.1.0.ebuild b/app-editors/tea/tea-41.1.0.ebuild
new file mode 100644
index 0000000..c1f2497
--- /dev/null
+++ b/app-editors/tea/tea-41.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PLOCALES="de fr ru"
+
+inherit eutils l10n qmake-utils
+
+DESCRIPTION="Small, lightweight Qt text editor"
+HOMEPAGE="http://tea.ourproject.org/ http://semiletov.org/tea/"
+SRC_URI="http://tea.ourproject.org/dloads/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86 ~x86-fbsd"
+IUSE="aspell hunspell"
+
+RDEPEND="
+	dev-qt/qtcore:4
+	dev-qt/qtgui:4
+	sys-libs/zlib
+	aspell? ( app-text/aspell )
+	hunspell? ( app-text/hunspell )
+"
+DEPEND="${RDEPEND}
+	hunspell? ( virtual/pkgconfig )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS TODO )
+
+src_configure() {
+	eqmake4 src.pro \
+		$(use aspell || echo CONFIG+=noaspell) \
+		$(use hunspell || echo CONFIG+=nohunspell)
+}
+
+src_install() {
+	dobin bin/tea
+
+	newicon icons/tea-icon-v3-01.png ${PN}.png
+	make_desktop_entry ${PN} 'Tea Editor'
+
+	# translations
+	insinto /usr/share/qt4/translations
+	local lang
+	for lang in $(l10n_get_locales); do
+		doins translations/${PN}_${lang}.qm
+	done
+
+	# docs
+	dohtml manuals/en.html
+	if use linguas_ru; then
+		dodoc NEWS-RU
+		dohtml manuals/ru.html
+	fi
+}


             reply	other threads:[~2015-12-15 18:07 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-15 18:07 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-06 17:09 [gentoo-commits] repo/gentoo:master commit in: app-editors/tea/ Arthur Zamarin
2024-06-06 16:58 Arthur Zamarin
2024-05-05  6:08 Joonas Niilola
2024-05-05  6:05 Joonas Niilola
2024-05-04 18:37 Arthur Zamarin
2023-12-22  3:11 Ionen Wolkens
2023-11-30 14:46 Ionen Wolkens
2021-10-29 13:31 Yixun Lan
2019-04-01 20:45 Andreas Sturmlechner
2019-04-01 19:58 Thomas Deutschmann
2019-03-24 10:01 Agostino Sarubbo
2019-02-15 23:07 Andreas Sturmlechner
2018-06-29 23:47 Michael Palimaka
2018-06-29 23:47 Michael Palimaka
2017-12-22 10:53 Michael Palimaka
2017-09-30  7:22 Michael Palimaka
2017-09-30  7:22 Michael Palimaka
2017-07-29  3:42 Michael Palimaka
2017-06-18 10:33 Michael Palimaka
2017-04-27 12:17 Michael Palimaka
2017-04-26  7:40 Agostino Sarubbo
2016-10-28 13:42 Michael Palimaka
2016-10-28 13:42 Michael Palimaka
2016-08-11 15:02 Michael Palimaka
2016-08-11 15:02 Michael Palimaka
2016-05-30 17:00 Davide Pesavento
2016-05-08 16:39 Davide Pesavento
2016-02-19 13:40 Michael Palimaka
2015-12-15 18:07 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1450202809.be2a27a2420611603545bbec64fa2b26ab1034e4.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox